Collect
/- Gets the current fiscal year and period
Gets all of the fiscal years in the system.
Execute Batch Operations
Returns a list of records with the specified business_unit_id
Creates the next fiscal year for a business unit
Initiates workflow to close a fiscal period
Gets the fiscal year and fiscal period for a particular date
Initiates workflow to reopen a fiscal period
Returns a fiscal year from the system by its ID.
Returns a fiscal year from the system by its ID.
Partially updates a fiscal year with the specified ID.
Updates a fiscal year with the specified ID.
Gets the current fiscal y...
This method looks at all of the fiscal years and periods and finds the first "open" one, which is the current
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/fiscalYears/{tenantId}/current/{businessUnitId}
- https://collect.api.rhythmsoftware.comhttps://collect.api.rhythmsoftware.com/fiscalYears/{tenantId}/current/{businessUnitId}
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/fiscalYears/{tenantId}/current/{businessUnitId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
{ "fiscal_period": 0.1, "fiscal_year": { "business_unit_id": "string", "custom_field_values": [ … ], "end_date": "2019-08-24", "id": "string", "is_partial": true, "name": "string", "notes": "string", "periods": [ … ], "start_date": "2019-08-24", "status": "closed", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 } }